#include <QtNetwork>

const char user[] = "anonymous";
const char server[] = "qt-test-server";
const char file[] = "main.cpp";

class FtpTest : public QObject
{
    Q_OBJECT
public:
    FtpTest() : QObject(), m_networkManager(new QNetworkAccessManager(this))
    {
        QByteArray data("some content to file");
        QString urlS = QLatin1String("ftp://") + QLatin1String(user)
                + '@' + server + '/' + file;
        QUrl url(urlS);
        url.setUserName(user);

        m_networkManager->put(QNetworkRequest(url), data);
        connect(m_networkManager, SIGNAL(finished(QNetworkReply*)),this, SLOT(finished(QNetworkReply*)));
    }

protected slots:
    void finished(QNetworkReply* r) {
        if(r->error())
            qWarning() << "Error: " << r->error() << " " << r->errorString();
        else
            qDebug() << "Finished";
    }

private:
    QNetworkAccessManager* m_networkManager;
};

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    QDir::setCurrent(SRCDIR);
    qDebug() << QT_VERSION_STR << "cd to " << QDir::currentPath();

    FtpTest t;

	return a.exec();
}

#include "main.moc"
